Color Sampling Format Conversion
Color and Sampling Conversion

Routines for converting between various image color sampling formats. More...

## YCbCr420ToYCbCr411

YCbCr420 to YCbCr411 sampling format conversion.
NppStatus | nppiYCbCr420ToYCbCr411_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...
NppStatus | nppiYCbCr420ToYCbCr411_8u_P2P3R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...

## YCbCr422ToYCbCr422

YCbCr422 to YCbCr422 sampling format conversion.
NppStatus | nppiYCbCr422_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...
NppStatus | nppiYCbCr422_8u_P3C2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion. More...

## YCbCr422ToYCrCb422

YCbCr422 to YCrCb422 sampling format conversion.
NppStatus | nppiYCbCr422ToYCrCb422_8u_C2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned packed YCrCb422 sampling format conversion. More...
NppStatus | nppiYCbCr422ToYCrCb422_8u_P3C2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned packed YCrCb422 sampling format conversion. More...

## YCbCr422ToCbYCr422

YCbCr422 to CbYCr422 sampling format conversion.
NppStatus | nppiYCbCr422ToCbYCr422_8u_C2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned packed CbYCr422 sampling format conversion. More...

## CbYCr422ToYCbCr411

CbYCr422 to YCbCr411 sampling format conversion.
NppStatus | nppiCbYCr422ToYCbCr411_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...

## YCbCr422ToYCbCr420

YCbCr422 to YCbCr420 sampling format conversion.
NppStatus | nppiYCbCr422ToYCbCr420_8u_P3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst[3], int nDstStep[3], NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...
NppStatus | nppiYCbCr422ToYCbCr420_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...
NppStatus | nppiYCbCr422ToYCbCr420_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...
NppStatus | nppiYCbCr422ToYCbCr420_8u_C2P2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...

## YCrCb420ToYCbCr422

YCrCb420 to YCbCr422 sampling format conversion.
NppStatus | nppiYCrCb420ToYCbCr422_8u_P3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCrCb420 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...
NppStatus | nppiYCrCb420ToYCbCr422_8u_P3C2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion. More...

## YCbCr422ToYCrCb420

YCbCr422 to YCrCb420 sampling format conversion.
NppStatus | nppiYCbCr422ToYCrCb420_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion. More...

## YCbCr422ToYCbCr411

YCbCr422 to YCbCr411 sampling format conversion.
NppStatus | nppiYCbCr422ToYCbCr411_8u_P3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...
NppStatus | nppiYCbCr422ToYCbCr411_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...
NppStatus | nppiYCbCr422ToYCbCr411_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...
NppStatus | nppiYCbCr422ToYCbCr411_8u_C2P2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...

## YCrCb422ToYCbCr422

YCrCb422 to YCbCr422 sampling format conversion.
NppStatus | nppiYCrCb422ToYCbCr422_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCrCb422 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...

## YCrCb422ToYCbCr420

YCrCb422 to YCbCr420 sampling format conversion.
NppStatus | nppiYCrCb422ToYCbCr420_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCrCb422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...

## YCrCb422ToYCbCr411

YCrCb422 to YCbCr411 sampling format conversion.
NppStatus | nppiYCrCb422ToYCbCr411_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed YCrCb422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...

## CbYCr422ToYCbCr422

CbYCr422 to YCbCr422 sampling format conversion.
NppStatus | nppiCbYCr422ToYCbCr422_8u_C2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed CbYCr422 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion. More...
NppStatus | nppiCbYCr422ToYCbCr422_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...

## CbYCr422ToYCbCr420

CbYCr422 to YCbCr420 sampling format conversion.
NppStatus | nppiCbYCr422ToYCbCr420_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...
NppStatus | nppiCbYCr422ToYCbCr420_8u_C2P2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed CbYCr422 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...

## CbYCr422ToYCrCb420

CbYCr422 to YCrCb420 sampling format conversion.
NppStatus | nppiCbYCr422ToYCrCb420_8u_C2P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion. More...

## YCbCr420ToYCbCr420

YCbCr420 to YCbCr420 sampling format conversion.
NppStatus | nppiYCbCr420_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...
NppStatus | nppiYCbCr420_8u_P2P3R (const Npp8u *const pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...

## YCbCr420ToYCbCr422

YCbCr420 to YCbCr422 sampling format conversion.
NppStatus | nppiYCbCr420ToYCbCr422_8u_P3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst[3], int nDstStep[3], NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...
NppStatus | nppiYCbCr420ToYCbCr422_8u_P2P3R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...
NppStatus | nppiYCbCr420ToYCbCr422_8u_P2C2R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion. More...

## YCbCr420ToCbYCr422

YCbCr420 to CbYCr422 sampling format conversion.
NppStatus | nppiYCbCr420ToCbYCr422_8u_P2C2R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned packed CbYCr422 sampling format conversion. More...

## YCbCr420ToYCrCb420

YCbCr420 to YCrCb420 sampling format conversion.
NppStatus | nppiYCbCr420ToYCrCb420_8u_P2P3R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion. More...

## YCrCb420ToCbYCr422

YCrCb420 to CbYCr422 sampling format conversion.
NppStatus | nppiYCrCb420ToCbYCr422_8u_P3C2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned packed CbYCr422 sampling format conversion. More...

## YCrCb420ToYCbCr420

YCrCb420 to YCbCr420 sampling format conversion.
NppStatus | nppiYCrCb420ToYCbCr420_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...

## YCrCb420ToYCbCr411

YCrCb420 to YCbCr411 sampling format conversion.
NppStatus | nppiYCrCb420ToYCbCr411_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...

## YCbCr411ToYCbCr411

YCbCr411 to YCbCr411 sampling format conversion.
NppStatus | nppiYCbCr411_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...
NppStatus | nppiYCbCr411_8u_P2P3R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion. More...

## YCbCr411ToYCbCr422

YCbCr411 to YCbCr422 sampling format conversion.
NppStatus | nppiYCbCr411ToYCbCr422_8u_P3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst[3], int nDstStep[3], NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...
NppStatus | nppiYCbCr411ToYCbCr422_8u_P3C2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion. More...
NppStatus | nppiYCbCr411ToYCbCr422_8u_P2P3R (const Npp8u *const pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion. More...
NppStatus | nppiYCbCr411ToYCbCr422_8u_P2C2R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion. More...

## YCbCr411ToYCrCb422

YCbCr411 to YCrCb422 sampling format conversion.
NppStatus | nppiYCbCr411ToYCrCb422_8u_P3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst[3], int nDstStep[3], NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCrCb422 sampling format conversion. More...
NppStatus | nppiYCbCr411ToYCrCb422_8u_P3C2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned packed YCrCb422 sampling format conversion. More...

## YCbCr411ToYCbCr420

YCbCr411 to YCbCr420 sampling format conversion.
NppStatus | nppiYCbCr411ToYCbCr420_8u_P3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst[3], int nDstStep[3], NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...
NppStatus | nppiYCbCr411ToYCbCr420_8u_P3P2R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDstY, int nDstYStep, Npp8u *pDstCbCr, int nDstCbCrStep, NppiSize oSizeROI)
| 3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...
NppStatus | nppiYCbCr411ToYCbCr420_8u_P2P3R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion. More...

## YCbCr411ToYCrCb420

YCbCr411 to YCrCb420 sampling format conversion.
NppStatus | nppiYCbCr411ToYCrCb420_8u_P2P3R (const Npp8u *pSrcY, int nSrcYStep, const Npp8u *pSrcCbCr, int nSrcCbCrStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion. More...

## NV12ToYUV420

NV12 to YUV420 color conversion.
NppStatus | nppiNV12ToYUV420_8u_P2P3R (const Npp8u *const pSrc[2], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
| 2 channel 8-bit unsigned planar NV12 to 3 channel 8-bit unsigned planar YUV420 color conversion. More...

## Detailed Description

Routines for converting between various image color sampling formats.

## Function Documentation

NppStatus nppiCbYCr422ToYCbCr411_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCbYCr422ToYCbCr420_8u_C2P2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed CbYCr422 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCbYCr422ToYCbCr420_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCbYCr422ToYCbCr422_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCbYCr422ToYCbCr422_8u_C2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed CbYCr422 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCbYCr422ToYCrCb420_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed CbYCr422 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiNV12ToYUV420_8u_P2P3R | ( | const Npp8u *const | pSrc[2],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar NV12 to 3 channel 8-bit unsigned planar YUV420 color conversion.

Parameters

  pSrc | Source-Planar-Image Pointer Array (one for Y plane, one for UV plane).
  nSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411_8u_P2P3R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCbCr420_8u_P2P3R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCbCr420_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCbCr420_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCbCr422_8u_P2C2R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCbCr422_8u_P2P3R | ( | const Npp8u *const | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCbCr422_8u_P3C2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCbCr422_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCrCb420_8u_P2P3R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCrCb422_8u_P3C2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 2 channel 8-bit unsigned packed YCrCb422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToYCrCb422_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar YCrCb422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420_8u_P2P3R | ( | const Npp8u *const | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToCbYCr422_8u_P2C2R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned packed CbYCr422 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToYCbCr411_8u_P2P3R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToYCbCr411_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToYCbCr422_8u_P2C2R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr420 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToYCbCr422_8u_P2P3R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToYCbCr422_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToYCrCb420_8u_P2P3R | ( | const Npp8u * | pSrcY,
|  | int | nSrcYStep,
|  | const Npp8u * | pSrcCbCr,
|  | int | nSrcCbCrStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion.

Parameters

  pSrcY | Source-Planar-Image Pointer.
  nSrcYStep | Source-Planar-Image Line Step.
  pSrcCbCr | Source-Planar-Image Pointer.
  nSrcCbCrStep | Source-Planar-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422_8u_P3C2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToCbYCr422_8u_C2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned packed CbYCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr411_8u_C2P2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr411_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr411_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr411_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr420_8u_C2P2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr420_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr420_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCbCr420_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCrCb420_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar YCrCb420 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCrCb422_8u_C2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCbCr422 to 2 channel 8-bit unsigned packed YCrCb422 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToYCrCb422_8u_P3C2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 2 channel 8-bit unsigned packed YCrCb422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb420ToCbYCr422_8u_P3C2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned packed CbYCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb420ToYCbCr411_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb420ToYCbCr420_8u_P3P2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDstY,
|  | int | nDstYStep,
|  | Npp8u * | pDstCbCr,
|  | int | nDstCbCrStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDstY | Destination-Planar-Image Pointer.
  nDstYStep | Destination-Planar-Image Line Step.
  pDstCbCr | Destination-Planar-Image Pointer.
  nDstCbCrStep | Destination-Planar-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb420ToYCbCr422_8u_P3C2R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCrCb420 to 2 channel 8-bit unsigned packed YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb420ToYCbCr422_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

3 channel 8-bit unsigned planar YCrCb420 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb422ToYCbCr411_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCrCb422 to 3 channel 8-bit unsigned planar YCbCr411 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb422ToYCbCr420_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCrCb422 to 3 channel 8-bit unsigned planar YCbCr420 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCrCb422ToYCbCr422_8u_C2P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

2 channel 8-bit unsigned packed YCrCb422 to 3 channel 8-bit unsigned planar YCbCr422 sampling format conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2017 NVIDIA Corporation